<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Package towerwarspp.preset (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package towerwarspp.preset (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/preset/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package towerwarspp.preset" class="title">Uses of Package<br>towerwarspp.preset</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main.tournament">towerwarspp.main.tournament</a></td>
<td class="colLast">
<div class="block">The tournament package which implements the tournament modus.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.network">towerwarspp.network</a></td>
<td class="colLast">
<div class="block">The network package which implements the Interface for a network game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player.mcts">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.preset">towerwarspp.preset</a></td>
<td class="colLast">
<div class="block">The preset package which implements all given presets.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/board/package-summary.html">towerwarspp.board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Move.html#towerwarspp.board">Move</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PlayerColor.html#towerwarspp.board">PlayerColor</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Position.html#towerwarspp.board">Position</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Status.html#towerwarspp.board">Status</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Viewable.html#towerwarspp.board">Viewable</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Viewer.html#towerwarspp.board">Viewer</a>
<div class="block">This is an interface for a board viewer.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/io/package-summary.html">towerwarspp.io</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Move.html#towerwarspp.io">Move</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Position.html#towerwarspp.io">Position</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Requestable.html#towerwarspp.io">Requestable</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Viewer.html#towerwarspp.io">Viewer</a>
<div class="block">This is an interface for a board viewer.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/main/package-summary.html">towerwarspp.main</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/ArgumentParser.html#towerwarspp.main">ArgumentParser</a>
<div class="block">Ein simpler Parser fuer Kommandozeilen Parameter.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Player.html#towerwarspp.main">Player</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PlayerType.html#towerwarspp.main">PlayerType</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Requestable.html#towerwarspp.main">Requestable</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Move.html#towerwarspp.main.game">Move</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Player.html#towerwarspp.main.game">Player</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PlayerColor.html#towerwarspp.main.game">PlayerColor</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.tournament">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Player.html#towerwarspp.main.tournament">Player</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.network">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/network/package-summary.html">towerwarspp.network</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Player.html#towerwarspp.network">Player</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/player/package-summary.html">towerwarspp.player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Move.html#towerwarspp.player">Move</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Player.html#towerwarspp.player">Player</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PlayerColor.html#towerwarspp.player">PlayerColor</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Requestable.html#towerwarspp.player">Requestable</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Status.html#towerwarspp.player">Status</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Viewer.html#towerwarspp.player">Viewer</a>
<div class="block">This is an interface for a board viewer.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player.mcts">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Move.html#towerwarspp.player.mcts">Move</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PlayerColor.html#towerwarspp.player.mcts">PlayerColor</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.preset">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a> used by <a href="../../towerwarspp/preset/package-summary.html">towerwarspp.preset</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/ArgumentParserException.html#towerwarspp.preset">ArgumentParserException</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Move.html#towerwarspp.preset">Move</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/MoveFormatException.html#towerwarspp.preset">MoveFormatException</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PlayerColor.html#towerwarspp.preset">PlayerColor</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PlayerType.html#towerwarspp.preset">PlayerType</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Position.html#towerwarspp.preset">Position</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/PositionFormatException.html#towerwarspp.preset">PositionFormatException</a>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Status.html#towerwarspp.preset">Status</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../towerwarspp/preset/class-use/Viewer.html#towerwarspp.preset">Viewer</a>
<div class="block">This is an interface for a board viewer.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/preset/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
